<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__common" kind="group">
    <compoundname>group_scb_common</compoundname>
    <title>Common</title>
    <innergroup refid="group__group__scb__common__macros">Macros</innergroup>
    <innergroup refid="group__group__scb__common__functions">Functions</innergroup>
    <innergroup refid="group__group__scb__common__data__structures">Data Structures</innergroup>
    <briefdescription>
<para>Common API for the Serial Communication Block. </para>    </briefdescription>
    <detaileddescription>
<para>This is the common API that provides an interface to the SCB hardware. The I2C, SPI, and UART drivers use this common API. Most users will use individual drivers and do not need to use the common API for the SCB. However, you can use the common SCB API to implement a custom driver based on the SCB hardware.</para><para>The functions and other declarations used in this part of the driver are in cy_scb_common.h. You can include either of cy_scb_spi.h, cy_scb_uart.h, cy_scb_ezi2c.h, cy_scb_i2c.h depending on the desired functionality. You can also include cy_pdl.h to get access to all functions and declarations in the PDL.</para>
<para><heading level="1">Configuration Considerations</heading></para>
<para>This is not a driver and it does not require configuration. </para>
    </detaileddescription>
  </compounddef>
</doxygen>